package net.sourceforge.cathcart.typedefs;

import java.text.DecimalFormat;
import java.text.Format;

import org.apache.tools.ant.taskdefs.condition.Condition;

public abstract class SizeComparison implements Condition {

	protected double operandOne;
	protected double operandTwo;
	protected int leeway = 0;
	protected boolean absolute = false;

	Format format = new DecimalFormat("0.####");
	public void setOperandOne(double operandOne) {
		this.operandOne = operandOne;
	}

	public void setOperandTwo(double operandTwo) {
		this.operandTwo = operandTwo;
	}

	public void setLeeway(int leeway) {
		this.leeway = leeway;
	}

	public void setAbsolute(boolean absolute) {
		this.absolute = absolute;
	}

	public abstract String failedMessage();

}